From 16966a2960aadb9169d5f2c8cd6cab3c71ee918c Mon Sep 17 00:00:00 2001
From: Rob Jonson <rob@hobbyistsoftware.com>
Date: Sun, 18 Sep 2011 14:29:37 +0100
Subject: [PATCH] force pl_loop and pl_repeat to be mutually exclusive. At the
 moment, they can both be true which is meaningless.

---
 share/lua/intf/modules/httprequests.lua |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/share/lua/intf/modules/httprequests.lua b/share/lua/intf/modules/httprequests.lua
index fcd7a90..2054c8e 100644
--- a/share/lua/intf/modules/httprequests.lua
+++ b/share/lua/intf/modules/httprequests.lua
@@ -131,9 +131,15 @@ processcommands = function ()
 	elseif command == "pl_random" then
 	  vlc.playlist.random()
 	elseif command == "pl_loop" then
-	  vlc.playlist.loop()
+	--if loop is set true, then repeat needs to be set false
+	  if vlc.playlist.loop() then
+		vlc.playlist.repeat_("off")
+	  end
 	elseif command == "pl_repeat" then
-	  vlc.playlist.repeat_()
+	--if repeat is set true, then loop needs to be set false
+	  if vlc.playlist.repeat_() then
+		vlc.playlist.loop("off")
+	  end
 	elseif command == "pl_sd" then
 	  if vlc.sd.is_loaded(val) then
 		vlc.sd.remove(val)
-- 
1.7.5

